[jitsi-dev] jabber:iq:version


#1

Have you guys considered supporting jabber:iq:version (XEP-0092)? I'm
trying to debug a Jitsi problem with someone and it's hard to know
what version someone is using if the software doesn't support
iq:version. (The problematic user is someone in his contact list.)

Thanks!

Peter

- --
Peter Saint-Andre
https://stpeter.im/


#2

Hi,

we don't currently support it, but we will implement it shortly.
Always happy to assist St.Peter.

Regards
damencho

···

On Thu, Apr 19, 2012 at 12:27 AM, Peter Saint-Andre <stpeter@stpeter.im> wrote:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Have you guys considered supporting jabber:iq:version (XEP-0092)? I'm
trying to debug a Jitsi problem with someone and it's hard to know
what version someone is using if the software doesn't support
iq:version. (The problematic user is someone in his contact list.)

Thanks!

Peter

- --
Peter Saint-Andre
https://stpeter.im/

-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk+PMcMACgkQNL8k5A2w/vy+/gCfRYgsKRvBZbXZFlJ9bG0WwC8X
ZRsAmgLLE0MvxnYTNhTchHzZUpZkIstO
=1T2w
-----END PGP SIGNATURE-----


#3

Hi,

jabber:iq:version will be available in next build.

Regards
damencho

···

On Fri, Apr 20, 2012 at 3:12 PM, Damian Minkov <damencho@jitsi.org> wrote:

Hi,

we don't currently support it, but we will implement it shortly.
Always happy to assist St.Peter.

Regards
damencho

On Thu, Apr 19, 2012 at 12:27 AM, Peter Saint-Andre <stpeter@stpeter.im> wrote:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Have you guys considered supporting jabber:iq:version (XEP-0092)? I'm
trying to debug a Jitsi problem with someone and it's hard to know
what version someone is using if the software doesn't support
iq:version. (The problematic user is someone in his contact list.)

Thanks!

Peter

- --
Peter Saint-Andre
https://stpeter.im/

-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk+PMcMACgkQNL8k5A2w/vy+/gCfRYgsKRvBZbXZFlJ9bG0WwC8X
ZRsAmgLLE0MvxnYTNhTchHzZUpZkIstO
=1T2w
-----END PGP SIGNATURE-----


#4

That's great, thanks!

By the way, it seems that Jitsi drops XMPP <iq/> stanzas whose payload
it doesn't understand, instead of returning a service-unavailable
error as defined in RFC 6120 (and before that RFC 3920). You guys
might want to fix that bug, too. :slight_smile:

Thanks as always for your work on Jitsi!

···

On 4/23/12 10:05 AM, Damian Minkov wrote:

Hi,

jabber:iq:version will be available in next build.

Regards damencho

On Fri, Apr 20, 2012 at 3:12 PM, Damian Minkov <damencho@jitsi.org> > wrote:

Hi,

we don't currently support it, but we will implement it shortly.
Always happy to assist St.Peter.

Regards damencho

On Thu, Apr 19, 2012 at 12:27 AM, Peter Saint-Andre >> <stpeter@stpeter.im> wrote:

Have you guys considered supporting jabber:iq:version (XEP-0092)?
I'm trying to debug a Jitsi problem with someone and it's hard to
know what version someone is using if the software doesn't support
iq:version. (The problematic user is someone in his contact list.)

Thanks!

Peter


#5

Hey,

we fixed and this one, thanks for pointing it :slight_smile:
It is in build 4015.

Thanks
damencho

···

On Mon, Apr 23, 2012 at 7:11 PM, Peter Saint-Andre <stpeter@stpeter.im> wrote:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

That's great, thanks!

By the way, it seems that Jitsi drops XMPP <iq/> stanzas whose payload
it doesn't understand, instead of returning a service-unavailable
error as defined in RFC 6120 (and before that RFC 3920). You guys
might want to fix that bug, too. :slight_smile:

Thanks as always for your work on Jitsi!

On 4/23/12 10:05 AM, Damian Minkov wrote:

Hi,

jabber:iq:version will be available in next build.

Regards damencho

On Fri, Apr 20, 2012 at 3:12 PM, Damian Minkov <damencho@jitsi.org> >> wrote:

Hi,

we don't currently support it, but we will implement it shortly.
Always happy to assist St.Peter.

Regards damencho

On Thu, Apr 19, 2012 at 12:27 AM, Peter Saint-Andre >>> <stpeter@stpeter.im> wrote:

Have you guys considered supporting jabber:iq:version (XEP-0092)?
I'm trying to debug a Jitsi problem with someone and it's hard to
know what version someone is using if the software doesn't support
iq:version. (The problematic user is someone in his contact list.)

Thanks!

Peter

-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk+VfycACgkQNL8k5A2w/vwaCgCg0NKZ+ot0ahRJpSgzMCFGykHh
EekAnijdjS1rJUMxOwQKuGD62olrD3Mh
=xnCp
-----END PGP SIGNATURE-----


#6

You rock. :slight_smile:

···

On 4/25/12 2:25 AM, Damian Minkov wrote:

Hey,

we fixed and this one, thanks for pointing it :slight_smile: It is in build
4015.

Thanks damencho

On Mon, Apr 23, 2012 at 7:11 PM, Peter Saint-Andre
<stpeter@stpeter.im> wrote: That's great, thanks!

By the way, it seems that Jitsi drops XMPP <iq/> stanzas whose
payload it doesn't understand, instead of returning a
service-unavailable error as defined in RFC 6120 (and before that
RFC 3920). You guys might want to fix that bug, too. :slight_smile:

Thanks as always for your work on Jitsi!

On 4/23/12 10:05 AM, Damian Minkov wrote:

Hi,

jabber:iq:version will be available in next build.

Regards damencho

On Fri, Apr 20, 2012 at 3:12 PM, Damian Minkov >>>> <damencho@jitsi.org> wrote:

Hi,

we don't currently support it, but we will implement it
shortly. Always happy to assist St.Peter.

Regards damencho

On Thu, Apr 19, 2012 at 12:27 AM, Peter Saint-Andre >>>>> <stpeter@stpeter.im> wrote:

Have you guys considered supporting jabber:iq:version
(XEP-0092)? I'm trying to debug a Jitsi problem with someone
and it's hard to know what version someone is using if the
software doesn't support iq:version. (The problematic user is
someone in his contact list.)

Thanks!

Peter